org.springframework.cloud.dataflow.rest.resource

## Class CompletionProposalsResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<CompletionProposalsResource>
  - - org.springframework.cloud.dataflow.rest.resource.CompletionProposalsResource

-     public class CompletionProposalsResource
      extends org.springframework.hateoas.RepresentationModel<CompletionProposalsResource>

  Represents a list of completion proposals for the DSL when using e.g. TAB completion in the Shell.
  Author:
    Eric Bottard

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CompletionProposalsResource.Proposal` Represents a completion proposal for the DSL when using e.g. TAB completion in the Shell.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompletionProposalsResource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProposal(String text, String explanation)`
    `List<CompletionProposalsResource.Proposal>` | `getProposals()`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompletionProposalsResource

          public CompletionProposalsResource()

  - ### Method Detail

    - #### addProposal

          public void addProposal(String text,
                                  String explanation)

    - #### getProposals

          public List<CompletionProposalsResource.Proposal> getProposals()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.